Solid Edge Framework Type Library
GetAllRevisions Method
Array of MFK attributes for given Item Type.
Specify the Item Type.
A two dimensional array. 0th (first dimension) element is Revision ID, and 1st (second dimension) element is the corresponding RevisionUID.
Description
This method will give all the Revision IDs and their UIDs for an Item.
Syntax
Visual Basic
Public Sub GetAllRevisions( _
   ByRef pvarMFKAttributes As Variant, _
   ByVal bstrItemType As String, _
   ByRef pvarRevisionList As Variant _
) 
Parameters
pvarMFKAttributes
Array of MFK attributes for given Item Type.
bstrItemType
Specify the Item Type.
pvarRevisionList
A two dimensional array. 0th (first dimension) element is Revision ID, and 1st (second dimension) element is the corresponding RevisionUID.
Example
Imports System.IO
Imports System.Runtime.InteropServices

Public Class Form1

    Private Sub Button1_Click(sender As Object, e As EventArgs) Handles Button1.Click
        Dim objSEApplication As SolidEdgeFramework.Application = Nothing
        Dim objTCE As SolidEdgeFramework.SolidEdgeTCE = Nothing
        Dim UserName As String
        Dim Password As String
        Dim Group As String
        Dim Role As String
        Dim URL As String
        Dim bTeamCenterMode As Boolean

        Dim MFKAttributes(2, 1) As Object
        Dim RevIdAndUIDs As Object = Nothing

        Try
            objSEApplication = Marshal.GetActiveObject("SolidEdge.Application")
            objSEApplication.DisplayAlerts = False

            objTCE = objSEApplication.SolidEdgeTCE
            Call objTCE.GetTeamCenterMode(bTeamCenterMode)
            If bTeamCenterMode = False Then
                objTCE.SetTeamCenterMode(True)
            End If
            'Specify Server Credentials
            UserName = "abc"
            Password = "abc"
            Group = ""
            Role = ""
            URL = "http://Servername:8085/tc"

            Call objTCE.ValidateLogin(UserName, Password, Group, Role, URL)



            MFKAttributes(0, 0) = "item_id"
            MFKAttributes(0, 1) = "030741"
            MFKAttributes(1, 0) = "object_type"
            MFKAttributes(1, 1) = "MFK9Item1"
            MFKAttributes(2, 0) = "mfk9attribute1"
            MFKAttributes(2, 1) = "hhhh"


            objTCE.GetAllRevisions(MFKAttributes, "Item", RevIdAndUIDs)

        Catch ex As Exception
            MsgBox(ex.ToString)
        End Try
    End Sub
End Class
See Also

SolidEdgeTCE Object  | SolidEdgeTCE Members